var optionsApp = angular.module('options', []);

optionsApp.factory('optionsFactory', function($http) {
    return {
        async: function(method,url,enviornmentID,dataObj) {
            var params = {};
            if (enviornmentID != 0) {
                params.sid = enviornmentID;
            }
            var promise = $http({
                url: url,
                data: JSON.stringify(dataObj),
                method: method,
                params: params
            }).then(function(data, status, headers){

            },function(response){
                PHD.hideLoadingIndicator(load);
                window.PHD.throwError({"result": [{"message": gettext(response.result[0].message)}]});
            });
            return promise;
        }
    };
});


optionsApp.controller('OptionsCtrl', ['$scope', '$rootScope', '$http', 'connectionsvc',
    function($scope, $rootScope, $http, connectionsvc) {

        $scope.disconnectFromAppliance = function() {
            connectionsvc.disconnect();
        };

    }]
);
