var mainTourModule = angular.module('tour-module', [
	'angular-tour',
	'tourDashModel',
    'tourJobsModel',
    'tourReportsModel',
    //'tourConfigureModel'
]);

mainTourModule.factory('tourFactory', function($http) {
    return {
        sync: function(method,url,enviornmentID,dataObj) {
            var params = {};
            if (enviornmentID != 0) {
                params.sid = enviornmentID;
            }
            var promise = $http({
                url: url,
                data: JSON.stringify(dataObj),
                method: method,
                params: params
            }).then(function(data, status, headers){
               
            }, function(response){
                window.PHD.throwError({"result": [{"message": gettext(response.result[0].message)}]});
               
            });
            return promise;
        }
    };
});